Subject: Re: bug#71117: 30.0.50; output of describe-function

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 May 2024 21:20:24 +0300

> From: Andrea Corallo <[email-masked]>
> Cc: Kévin Le Gouguec <[email-masked]>,
>   [email-masked],
>   [email-masked]
> Date: Tue, 28 May 2024 13:44:33 -0400
> 
> >> Were you thinking of a command that specifically targets the symbol from
> >> a displayed *Help* buffer, so the user would do e.g.
> >> 
> >> C-h v VAR RET   ; shows *Help* for VAR
> >> C-h SOMETHING   ; finds source for VAR
> >> 
> >> where C-h SOMETHING's implementation would do (a smarter version of)
> >> (with-current-buffer "*Help*"
> >>   (help-view-source))
> >> 
> >> ?
> >
> > Yes, exactly.
> 
> Something like the attached?
> 
> It makes C-h z FUNCTION find the source for FUNCTION.

I might be mistaken, but I don't think this is what I had in mind.  My
use case is exactly like described above: I type "C-h v" or "C-h f",
which displays the *Help* buffer in the other window.  Then I want to
go to the source where the variable or function are defined, but
without the need to switch to the window showing *Help*.

Thanks.